> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /ad-stack

> Fetches a list of ad stacks in use by the provided publisher



## OpenAPI

````yaml /openapi.json get /v1/ad-stack
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/ad-stack:
    get:
      tags:
        - Ad Stack
        - public
      summary: /ad-stack
      description: Fetches a list of ad stacks in use by the provided publisher
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: false
          schema:
            type: integer
            default: <integer>
        - name: cid
          in: query
          description: Config ID
          required: false
          schema:
            type: integer
            default: <integer>
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        name:
                          type: string
                        use_count:
                          type: integer
                        used_by:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                              uid:
                                type: integer
                              label:
                                type: string
                              unit:
                                type: string
                              status:
                                type: integer
                              domain:
                                type: string
                            required:
                              - id
                              - uid
                              - label
                              - unit
                              - status
                              - domain
                        integration:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              type:
                                type: string
                              logo:
                                type: string
                              logo_dark:
                                type: string
                              platform_name:
                                type: string
                              sub_type:
                                type: string
                              account_name:
                                type: string
                              valid:
                                type: boolean
                            required:
                              - id
                              - type
                              - logo
                              - logo_dark
                              - platform_name
                              - sub_type
                              - account_name
                              - valid
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  - id: 338
                    name: GAM+Prebid+TAM
                    use_count: 8
                    used_by:
                      - id: 8388
                        uid: 18620
                        label: MPU 1
                        unit: iab
                        status: 1
                        domain: example.com
                      - id: 8389
                        uid: 18620
                        label: MPU 1 (OOV)
                        unit: iab
                        status: 0
                        domain: example.com
                      - id: 8390
                        uid: 18620
                        label: MPU 2
                        unit: iab
                        status: 1
                        domain: example.com
                      - id: 8391
                        uid: 18620
                        label: MPU 2 (OOV)
                        unit: iab
                        status: 0
                        domain: example.com
                      - id: 8392
                        uid: 18620
                        label: Leaderboard 1
                        unit: iab
                        status: 1
                        domain: example.com
                      - id: 8393
                        uid: 18620
                        label: Leaderboard 1 (OOV)
                        unit: iab
                        status: 0
                        domain: example.com
                      - id: 8394
                        uid: 18620
                        label: Adhesion
                        unit: adhesion
                        status: 1
                        domain: example.com
                      - id: 8395
                        uid: 18620
                        label: In-Image
                        unit: in-image
                        status: 1
                        domain: example.com
                    integration:
                      - id: gjdi6x
                        type: ad_demand
                        logo: https://cdn.tagdeliver.com/assets/logo/adagio.svg
                        logo_dark: >-
                          https://cdn.tagdeliver.com/assets/logo/adagio--dark.svg
                        platform_name: Adagio
                        sub_type: Prebid.js (header bidding) ad demand
                        account_name: Content Ignite
                        valid: true
                      - id: gjdi6v
                        type: ad_demand
                        logo: https://cdn.tagdeliver.com/assets/logo/amx.svg
                        logo_dark: https://cdn.tagdeliver.com/assets/logo/amx--dark.svg
                        platform_name: AdaptMX
                        sub_type: Prebid.js (header bidding) ad demand
                        account_name: Content Ignite
                        valid: >-
                          Form errors found: /approved: The data must must match
                          the const value
                      - id: gjdi7j
                        type: ad_demand
                        logo: https://cdn.tagdeliver.com/assets/logo/criteo.svg
                        logo_dark: >-
                          https://cdn.tagdeliver.com/assets/logo/criteo--dark.svg
                        platform_name: Criteo
                        sub_type: Prebid.js (header bidding) ad demand
                        account_name: Content Ignite
                        valid: true
                      - id: gjdi6y
                        type: ad_demand
                        logo: https://cdn.tagdeliver.com/assets/logo/rubicon.svg
                        logo_dark: >-
                          https://cdn.tagdeliver.com/assets/logo/rubicon--dark.svg
                        platform_name: Magnite/Rubicon
                        sub_type: Prebid.js (header bidding) ad demand
                        account_name: Content Ignite
                        valid: >-
                          Form errors found: /zoneId: The data (string) must
                          match the type: integer
                      - id: gjdi6w
                        type: ad_demand
                        logo: https://cdn.tagdeliver.com/assets/logo/onetag.svg
                        logo_dark: >-
                          https://cdn.tagdeliver.com/assets/logo/onetag--dark.svg
                        platform_name: OneTag
                        sub_type: Prebid.js (header bidding) ad demand
                        account_name: Content Ignite
                        valid: >-
                          Form errors found: /approved: The data must must match
                          the const value
                      - id: gjdi6u
                        type: ad_demand
                        logo: https://cdn.tagdeliver.com/assets/logo/pubmatic.svg
                        logo_dark: >-
                          https://cdn.tagdeliver.com/assets/logo/pubmatic--dark.svg
                        platform_name: Pubmatic
                        sub_type: Prebid.js (header bidding) ad demand
                        account_name: Content Ignite
                        valid: true
                      - id: gjdi7p
                        type: ad_demand
                        logo: https://cdn.tagdeliver.com/assets/logo/xandr.svg
                        logo_dark: https://cdn.tagdeliver.com/assets/logo/xandr--dark.svg
                        platform_name: Xandr
                        sub_type: Prebid.js (header bidding) ad demand
                        account_name: Content Ignite
                        valid: true
                      - id: gjdi72
                        type: ad_demand
                        logo: https://cdn.tagdeliver.com/assets/logo/aps.svg
                        logo_dark: https://cdn.tagdeliver.com/assets/logo/aps--dark.svg
                        platform_name: Amazon Publisher Services
                        sub_type: Server-side header bidding wrapper
                        account_name: Content Ignite Limited
                        valid: >-
                          Form errors found: /approved: The data must must match
                          the const value
                      - id: 5yc2e
                        type: ad_server
                        logo: https://cdn.tagdeliver.com/assets/logo/gam.svg
                        logo_dark: https://cdn.tagdeliver.com/assets/logo/gam--dark.svg
                        platform_name: Google Ad Manager
                        sub_type: Ad Server
                        account_name: Content Ignite
                        valid: >-
                          Form errors found: /mcm: The data must must match the
                          const value
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````